#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARM64a5364"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64"
#define ATL_DKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a53 -mtune=cortex-a53 -fexpensive-optimizations -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -mcpu=cortex-a53 -mtune=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/aarch64_base/include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64 -DWALL -DATL_NCPU=2 -mcpu=cortex-a53 -mtune=cortex-a53 -O2 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -mcpu=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_SKCVERS "gcc (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_DMCVERS "gcc (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_SMCVERS "gcc (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_ICCVERS "gcc (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_F77VERS "GNU Fortran (GCC) 8.5.0 20210514 (Anolis 8.5.0-4.0.1)"
#define ATL_SYSINFO "Linux iZ2zedn97o5noitb3gkeutZ 4.18.0-305.7.1.el8_4.aarch64 #1 SMP Tue Jun 29 21:32:00 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux"
#define ATL_DATE    "Wed Feb 16 15:07:25 CST 2022"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
